<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Componentes</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous" defer></script>
    <link rel="stylesheet" href="css/styles.css">
</head>
<body>

    <!-- ACCORDION -->
    <div class="col-4 m-4">
        <h2>Accordion</h2>
        <div class="accordion" id="accordion">
            <div class="accordion-item">
                <h2 class="accordion-header" id="headingOne">
                    <button class="accordion-button" type="button" data-bs-toggle="collapse"
                    data-bs-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
                        Item 1
                    </button>
                </h2>
                <div class="accordion-collapse collapse show" id="collapseOne" 
                aria-labelledby="headingOne" data-bs-parent="#accordion">
                    <div class="accordion-body">
                        <p>Este é o item 1 e sua descrição</p>
                    </div>
                </div>
            </div>
            <div class="accordion-item">
                <h2 class="accordion-header" id="headingTwo">
                    <button class="accordion-button" type="button" data-bs-toggle="collapse"
                    data-bs-target="#collapseTwo" aria-expanded="true" aria-controls="collapseTwo">
                        Item 2
                    </button>
                </h2>
                <div class="accordion-collapse collapse show" id="collapseTwo" 
                aria-labelledby="headingTwo" data-bs-parent="#accordion">
                    <div class="accordion-body">
                        <p>Este é o item 2 e sua descrição!</p>
                    </div>
                </div>
            </div>
            <div class="accordion-item">
                <h2 class="accordion-header" id="headingThree">
                    <button class="accordion-button" type="button" data-bs-toggle="collapse"
                    data-bs-target="#collapseThree" aria-expanded="true" aria-controls="collapseThree">
                        Item 3
                    </button>
                </h2>
                <div class="accordion-collapse collapse show" id="collapseThree" 
                aria-labelledby="headingThree" data-bs-parent="#accordion">
                    <div class="accordion-body">
                        <p>Este é o item 3 e sua descrição</p>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- ALERTAS -->
    <div class="col-6 m-4">
        <div class="alert alert-primary" role="alert">
            Esta é uma mensagem comum do sistema!
        </div>
        <div class="alert alert-success" role="alert">
            Usuário cadastrado com sucesso!
        </div>
        <div class="alert alert-danger" role="alert">
            Não foi possível fazer o login!
        </div>
        <!-- com link -->
        <div class="alert alert-warning" role="alert">
            Não encontramos seu pedido. Faça uma solicitação 
            <a href="" class="alert-link">clicando aqui.</a> Responderemos
            o quanto antes.
        </div>
        <!-- com mais conteúdo -->
        <div class="alert alert-danger" role="alert">
            <h4 class="alert-heading">Pedido realizado!</h4>
            <p>Recebemos seu pedido e já estamos preparando o envio</p>
            <hr>
            <p class="mb-0">Caso precise de mais alguma informação, entre em 
            contato <a href="" class="alert-link">clicando aqui.</a></p>
        </div>
        <!-- com ícone de fechar -->
        <div class="alert alert-warning alert-dismissible fade show" role="alert">
            <strong>Ops!</strong> Aconteceu algo errado no sistema
            <button type="button" class="btn-close" data-bs-dismiss="alert" 
            aria-label="Close"></button>
        </div>
    </div>

    <!-- BADGES -->
    <div class="col-4 m-4">
        <h1>
            Cadeira Gamer x400 <span class="badge bg-primary">New</span>
        </h1>
        <h1>
            Fone de Ouvido XY710
            <span class="badge bg-danger">10% off</span>
        </h1>
        <button type="button" class="btn btn-dark">
            Mensagens <span class="badge bg-success">4</span>
        </button>
    </div>

    <!-- BREADCRUMB -->
    <div class="container">
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item">
                    <a href="#">Home</a>
                </li>
                <li class="breadcrumb-item">
                    <a href="#">Catálogo</a>
                </li>
                <li class="breadcrumb-item active" aria-current="page">
                    Página de Produto
                </li>
            </ol>
        </nav>
        <h2>Página de Produto</h2>
        <p>Descrição do produto</p>
    </div>

    <!-- BUTTONS -->
    <div class="container">
        <div class="mb-4">
            <button class="btn btn-primary">Botão</button>
            <button class="btn btn-outline-primary">Botão</button>
            <button class="btn btn-success">Entrar</button>
            <button class="btn btn-outline-success">Entrar</button>
            <button class="btn btn-info">Info</button>
            <button class="btn btn-outline-info">Info</button>
        </div>
        <div class="mb-4">
            <a href="#" class="btn btn-danger">Deletar</a>
        </div>
        <div class="col-3 mb-4">
            <div class="d-grid m-4">
                <button class="btn btn-primary">Botão de Bloco</button>
            </div>
        </div>
        <button class="btn btn-warning">Desabilitado</button>
    </div>

    <!-- BUTTON GROUP -->
    <div class="container mb-4">
        <h2>Configure a seção:</h2>
        <div class="btn-group" role="group" aria-label="Exemplo">
            <button class="btn btn-success" type="button">Diminuir</button>
            <button class="btn btn-success" type="button">Confirmar</button>
            <button class="btn btn-success" type="button">Aumentar</button>
        </div>
        <div class="btn-group" role="group" aria-label="Exemplo 2">
            <button class="btn btn-outline-secondary" type="button">1</button>
            <button class="btn btn-outline-secondary" type="button">2</button>
            <button class="btn btn-outline-secondary" type="button">3</button>
            <button class="btn btn-outline-secondary" type="button">4</button>
        </div>
        <h2>Vertical</h2>
        <div class="btn-group-vertical" role="group" aria-label="Exemplo 3">
            <button class="btn btn-warning" role="button">Opção 1</button>
            <button class="btn btn-warning" role="button">Opção 2</button>
            <button class="btn btn-warning" role="button">Opção 3</button>
        </div>
    </div>

    <!-- CARD -->
    <div class="container mb-4">
        <div class="card mb-4">
            <img src="https://via.placeholder.com/300" alt="Minha Imagem" class="card-img-top">
            <div class="card-body">
                <p class="card-text">Esta é a descrição do produto.</p>
            </div>
        </div>
        <div class="card mb-4">
            <img src="https://via.placeholder.com/300" alt="Minha Imagem" class="card-img-top">
            <div class="card-body">
                <h5 class="card-title">Título do Card</h5>
                <p class="card-text">Esta é a descrição do produto.</p>
                <a href="#" class="btn btn-primary">Comprar</a>
            </div>
        </div>
        <div class="card mb-4">
            <div class="card-body">
                <h5 class="card-title">Título do Card</h5>
                <h6 class="card-subtitle mb-2 text-muted">Um subtítulo</h6>
                <p class="card-text">Esta é a descrição do produto.</p>
                <a href="#" class="card-link">Comprar</a>
                <a href="#" class="card-link">Cancelar</a>
            </div>
        </div>
        <div class="card text-center" id="card-banner">
            <div class="card-header">
                Card banner
            </div>
            <div class="card-body">
                <h5 class="card-title">Um título legal</h5>
                <p class="card-text">Esta é a descrição deste banner. Vamos colocar
                algo maior aqui</p>
                <a href="#" class="btn btn-success">Acessar Oferta</a>
            </div>
            <div class="card-footer text-muted">
                Faltam 2 dias
            </div>
        </div>
    </div>

    <!-- SLIDER/CAROUSEL -->
    <div class="container mb-4">
        <div class="col-8">
            <div id="carousel" class="carousel slide" data-bs-ride="carousel">
                <div class="carousel-indicators">
                    <button class="active" type="button" data-bs-target="#carousel"
                    data-bs-slide-to="0" aria-current="true" aria-label="Slide 1"></button>
                    <button type="button" data-bs-target="#carousel"
                    data-bs-slide-to="1" aria-current="true" aria-label="Slide 2"></button>
                    <button type="button" data-bs-target="#carousel"
                    data-bs-slide-to="2" aria-current="true" aria-label="Slide 3"></button>
                </div>
                <div class="carousel-inner">
                    <div class="carousel-item active">
                        <img src="https://via.placeholder.com/600" alt="Descrição 1" class="d-block w-100">
                    </div>
                    <div class="carousel-item">
                        <img src="https://via.placeholder.com/600" alt="Descrição 2" class="d-block w-100">
                    </div>
                    <div class="carousel-item">
                        <img src="https://via.placeholder.com/600" alt="Descrição 3" class="d-block w-100">
                    </div>
                </div>
                <!-- Botão de voltar -->
                <button class="carousel-control-prev" type="button" data-bs-target="#carousel"
                data-bs-slide="prev">
                    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                    <span class="visually-hidden">Previous</span>
                </button>
                <!-- Botão de avançar -->
                <button class="carousel-control-next" type="button" data-bs-target="#carousel"
                data-bs-slide="next">
                    <span class="carousel-control-next-icon" aria-hidden="true"></span>
                    <span class="visually-hidden">Next</span>
                </button>
            </div>
        </div>
    </div>

    <!-- SLIDER COM TEXTO -->
    <div class="container mb-4">
        <div class="col-8">
            <div id="carousel2" class="carousel slide" data-bs-ride="carousel">
                <div class="carousel-indicators">
                    <button class="active" type="button" data-bs-target="#carousel2"
                    data-bs-slide-to="0" aria-current="true" aria-label="Slide 1"></button>
                    <button type="button" data-bs-target="#carousel2"
                    data-bs-slide-to="1" aria-current="true" aria-label="Slide 2"></button>
                    <button type="button" data-bs-target="#carousel2"
                    data-bs-slide-to="2" aria-current="true" aria-label="Slide 3"></button>
                </div>
                <div class="carousel-inner">
                    <div class="carousel-item active">
                        <img src="https://via.placeholder.com/600" alt="Descrição 1" class="d-block w-100">
                        <div class="carousel-caption">
                            <h5>Primeiro Slide</h5>
                            <p>Alguma descrição</p>
                        </div>
                    </div>
                    <div class="carousel-item">
                        <img src="https://via.placeholder.com/600" alt="Descrição 2" class="d-block w-100">
                        <div class="carousel-caption">
                            <h5>Segundo Slide</h5>
                            <p>Alguma descrição</p>
                        </div>
                    </div>
                    <div class="carousel-item">
                        <img src="https://via.placeholder.com/600" alt="Descrição 3" class="d-block w-100">
                        <div class="carousel-caption">
                            <h5>Terceiro Slide</h5>
                            <p>Alguma descrição</p>
                        </div>
                    </div>
                </div>
                <button class="carousel-control-prev" type="button" data-bs-target="#carousel2"
                data-bs-slide="prev">
                    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                    <span class="visually-hidden">Previous</span>
                </button>
                <button class="carousel-control-next" type="button" data-bs-target="#carousel2"
                data-bs-slide="next">
                    <span class="carousel-control-next-icon" aria-hidden="true"></span>
                    <span class="visually-hidden">Next</span>
                </button>
            </div>
        </div>
    </div>

    <!-- CLOSE BUTTON -->
    <div class="container mb-4">
        <p>
            Clique para fechar 
            <button class="btn-close" type="button" aria-label="Close"></button>
        </p>
        <a href="#" class="btn btn-danger">
            Fechar
            <button class="btn-close" type="button" aria-label="Close"></button>
        </a>
        <!-- Desabilitada -->
        <p>
            Clique para fechar 
            <button class="btn-close" type="button" aria-label="Close" disabled></button>
        </p>
    </div>

    <!-- COLLAPSE -->
    <div class="container mb-4">
        <button class="btn btn-primary" type="button" data-bs-toggle="collapse"
        data-bs-target="#collapse" aria-expanded="false" aria-controls="collapse">
        Clique para exibir/esconder</button>
        <div class="collapse" id="collapse">
            <div class="col-12 mt-4">
                Este é o texto que pode ser exibido ou não, dependendo do clique no botão.
            </div>
        </div>
    </div>

    <!-- DROPDOWN -->
    <div class="container mb-4">
        <!-- EMBAIXO -->
        <div class="dropdown mb-4">
            <a href="#" class="btn btn-secondary dropdown-toggle" role="button" id="dropdown"
            data-bs-toggle="dropdown" aria-expanded="false">Clique aqui</a>
            <ul class="dropdown-menu" aria-labelledby="dropdown">
                <li><a href="#" class="dropdown-item">Link 1</a></li>
                <li><a href="#" class="dropdown-item">Link 2</a></li>
                <li><a href="#" class="dropdown-item">Link 3</a></li>
                <li><a href="#" class="dropdown-item">Link 4</a></li>
            </ul>
        </div>
        <!-- À DIREITA -->
        <div class="dropdown mb-4 dropend">
            <a href="#" class="btn btn-success dropdown-toggle" role="button" id="dropdown-direita"
            data-bs-toggle="dropdown" aria-expanded="false">Clique aqui</a>
            <ul class="dropdown-menu" aria-labelledby="dropdown-direita">
                <li><a href="#" class="dropdown-item">Link 1</a></li>
                <li><a href="#" class="dropdown-item">Link 2</a></li>
                <li><a href="#" class="dropdown-item">Link 3</a></li>
                <li><a href="#" class="dropdown-item">Link 4</a></li>
            </ul>
        </div>
    </div>

    <!-- MODAL -->
    <div class="container mb-4">
        <button class="btn btn-info" type="button" data-bs-toggle="modal"
        data-bs-target="#modal">Abrir Modal</button>
    </div>

    <!-- CONTAINER MODAL (não precisa estar no mesmo container do botão pq é fixo na tela)-->
    <div class="modal fade" id="modal" tabindex="-1" aria-labelledby="modalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <!-- cabeçalho (ex: "formulário de cadastro") -->
                <div class="modal-header">
                    <h5 class="modal-title" id="modalLabel">Este é o título</h5>
                    <button class="btn-close" type="button" data-bs-dismiss="modal"
                    aria-label="Close"></button>
                </div>
                <!-- corpo (ex: inputs de um formulário) -->
                <div class="modal-body">
                    <p>Aqui você pode pôr qualquer coisa</p>
                    <p>Tá bom?</p>
                </div>
                <!-- rodapé (ex: ações como cancelar, fechar, salvar) -->
                <div class="modal-footer">
                    <button class="btn btn-secondary" type="button" 
                    data-bs-dismiss="modal">Fechar</button>
                    <button class="btn btn-success" type="button">Salvar</button>
                </div>
            </div>
        </div>
    </div>
</body>
</html>